package edu.byu.cs.constraintlayoutexample;

import android.os.Build;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final TextView versionTextView = findViewById(R.id.versionTextView);

        Button getVersionButton = findViewById(R.id.getVersionButton);
        getVersionButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String versionString = getString(R.string.versionString, Build.VERSION.SDK_INT);
                versionTextView.setText(versionString);
            }
        });
    }
}
